@import url('https://fonts.googleapis.com/css2?family=Alex+Brush&family=Ibarra+Real+Nova:ital,wght@0,400..700;1,400..700&display=swap');

:root {
    --text: #111111;
    --dark: #333333;

    --light: #f5f5f5;

    --green-main: #335c21;
    --green-light: #73a95a;

    --shadow: 0px 2px 5px #00000033;

    --radius: .25rem;
}

html, body {
    min-height: 100vh;
    margin: 0;
}

body {
    display: grid;
    box-sizing: border-box;

    font-family: "Ibarra Real Nova", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    font-size: 18px;

    color: var(--text);
}

.fancy {
    font-family: "Alex Brush", cursive;
    font-weight: 400;
    font-style: normal;
    line-height: 1;
}

input[type="text"],
input[type="number"],
input:not([type]),
textarea,
select {
    box-sizing: border-box;
    min-height: 2rem;

    padding: var(--radius);
    outline: none;
    border: 1px solid var(--green-main);
    border-radius: var(--radius);

    background-color: white;

    color: var(--text);

    font: inherit;
}

input[type="text"]:hover, input[type="text"]:focus-within,
input[type="number"]:hover, input[type="number"]:focus-within,
input:not([type]):hover, input:not([type]):focus-within,
textarea:hover, textarea:focus-within,
select:hover, select:focus-within {
    border-color: var(--green-light);
}

dialog {
    border: none;
    border-radius: var(--radius);
    box-shadow: var(--shadow);
}

input[type="submit"],
input[type="button"],
button {
    box-sizing: border-box;
    min-height: 2rem;

    border-radius: var(--radius);
    background-color: var(--green-main);
    color: white;

    outline: none;
    border: none;

    padding: var(--radius) 1rem;

    box-shadow: var(--shadow);

    font: inherit;
}

input[type="submit"]:hover,
input[type="button"]:hover,
button:hover  {
    background-color: var(--green-light);
    cursor: pointer;
}

input[type="submit"]:active,
input[type="button"]:active,
button:active {
    box-shadow: none;
}

